Subject: [Simple] Review of draft-ietf-simple-message-sessions-08 - Overlapping Chunks

From: Paul Kyzivat <[email-masked]>
Date: Fri, 24 Sep 2004 12:20:40 -0400

Section 6.3.1 discusses how to handle the receipt of overlapping chunks,
specifying that the last received copy of any particular byte wins. I
don't think this is good.

If the overlapping chunks contain consistent data then it doesn't matter
which takes precedence. If they contain conflicting data then reordering
of chunks can affect the result unpredictably. This rule also prevents
the recipient from rendering a byte when it and all preceding bytes have
been received.

I think it should be permissible for the recipient to check for
inconsistency in the overlapping case, and report an error if so. We may
want to require this checking. (Since it typically won't happen it
shouldn't have a performance impact.)

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple